package inn.ocsf.bee.freigeld.utils;

import org.apache.commons.codec.binary.ZBase32;

import java.nio.charset.StandardCharsets;

public class ZBase32Utils {
    private static final ZBase32 codec = new ZBase32();

    public static String encode(String str) {
        return codec.encodeAsString(str.getBytes(StandardCharsets.UTF_8));
    }

    public static String decode(String str) {
        return new String(codec.decode(str), StandardCharsets.UTF_8);
    }

}
